﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace UOC.SistemaControl.Web
{
    public partial class Cameres : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        //Marquem com a index 0 del dropdownlist el Item "Seleccion Càmera"
        //Aquest item sortirà per defecte com a primera opció
        protected void seleccio_DataBound(object sender, EventArgs e)
        {
            listCamera.Items.Insert(0, new ListItem("Selecciona Càmera"));
        }

        //Seleccionem una càmera d'una ubicació determinada i mostrem la càmera
        protected void seleccionaCamera(object sender, EventArgs e)
        {
            string seleccio = listCamera.SelectedItem.ToString();
            Image1.Visible = true;

            if (listCamera.SelectedIndex > 0)
            {
                switch (seleccio)
                {
                    case "Entrada":
                        Image2.ImageUrl = "../plano/entrada.gif";
                        Image1.ImageUrl = "../Images/CameraEntrada.jpg";
                        break;
                    case "Saló":
                        Image1.ImageUrl = "../Images/CameraSalo.jpg";
                        Image2.ImageUrl = "../plano/salon.gif";
                        break;
                    case "Cuina":
                        Image1.ImageUrl = "../Images/CameraCuina.jpg";
                        Image2.ImageUrl = "../plano/cocina.gif";
                        break;
                    case "Dormitori":
                        Image1.ImageUrl = "../Images/CameraHabitacio.jpg";
                        Image2.ImageUrl = "../plano/dormitorio.gif";
                        break;
                    case "Terrassa":
                        Image1.ImageUrl = "../Images/CameraTerrassa.jpg";
                        Image2.ImageUrl = "../plano/terraza.gif";
                        break;
                }
            }
            else
            {
                Image1.Visible = false;
                Image2.ImageUrl = "~/plano/general.gif";
            }
        }
    }
}