﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ClassesEntitats;
using System.Text;

namespace UOC.SistemaControl.WCF
{
   
    public class Configuracio_wcf
    {
        private SistemaControlEntitats context;
         
        public Configuracio_wcf()
        {
            context = new SistemaControlEntitats();
        }

        public Boolean ComprovaMail(string mail)
        {
            try
            {
                var q = (from p in context.Usuari where p.email == mail select p).Count();

                if (q == 0)
                {
                    return false;
                }
                else
                {
                    return true;
                }
            }
            catch (Exception)
            {
                return false;
            }
        }

        public int CanviMail(string oldMail, string newMail)
        {
            int resultat = 0;
            Usuari u = new Usuari();
            try
            {
                var q = (from p in context.Usuari where p.email == oldMail select p);
                u = q.FirstOrDefault<Usuari>();
                if (u == null)
                {
                    resultat = 0;
                }
                else
                {
                    u.email = newMail;
                    resultat = context.SaveChanges();
                }
            }
            catch (Exception)
            {
                return 0;
            }
            return resultat;
        }

        public string ObtenirMail()
        {
            string mail;
            Usuari u = new Usuari();
            try
            {
                var q = (from p in context.Usuari select p);
                u = q.FirstOrDefault<Usuari>();
                mail = u.email;
            }
            catch(Exception)
            {
                return null;
            }
            return mail;
        }

        public Boolean ObtenirPassword(string pass)
        {   
            try
            {
                var q = (from p in context.Usuari where p.password == pass select p).Count();

                if (q == 0)
                {
                    return false;
                }
                else
                {
                    return true;
                }
                
            }
            catch (Exception)
            {
                return false;
            }
        }

        public int CanviPassword(string oldPass, string newPass)
        {
            int resultat = 0;
            Usuari u = new Usuari();
            try
            {
                var q = (from p in context.Usuari where p.password == oldPass select p);
                u = q.FirstOrDefault<Usuari>();
                if (u == null)
                {
                    resultat = 0;
                }
                else
                {
                    u.password = newPass;
                    resultat = context.SaveChanges();
                }
            }
            catch (Exception)
            {
                return 0;
            }
            return resultat;
        }    
    }

      
}