﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace UOC.SistemaControl.Web
{
    public partial class Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        //Botó per accedir al sistema de control remot. Es comprova que la clau introduïda 
        //es correcta. Si no es correcta o no s'ha introduït, es mostrarà un alerta.
        protected void Button1_Click(object sender, EventArgs e)
        {
            ServiceReference1.Service1Client sr = new ServiceReference1.Service1Client();
            Boolean comprova;


            if (pwd.Text != "")
            {
                comprova = sr.ObtenirPassword(pwd.Text);
                if (comprova)
                {
                    Response.Redirect("~/PantallaPrincipal.aspx");
                }
                else
                {
                    string script = @"<script type='text/javascript'>alerta('Clau incorrecta');</script>";
                    ScriptManager.RegisterStartupScript(this, typeof(Page), "alerta", script, false);
                }
            }
            else
            {
                string script = @"<script type='text/javascript'>alerta('Introduir clau');</script>";
                ScriptManager.RegisterStartupScript(this, typeof(Page), "alerta", script, false);
            }
        }
    }
}