﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage/SistemaControl.Master" AutoEventWireup="true" CodeBehind="Simulador.aspx.cs" Inherits="UOC.SistemaControl.Web.Simulador" %>
<%@ Register assembly="EO.Web" namespace="EO.Web" tagprefix="eo" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>


<asp:Content ID="Simulador" ContentPlaceHolderID="TaulerSimulador" runat="server">
<div class="taulerOpcions">
<center>
    <table style="width: 960px; border-top-style: solid; border-bottom-style: solid; border-top-color: #FFFFFF; border-bottom-color: #FFFFFF;">
        <tr>
            <td align="right" class="style2" valign="top">
                <div align="center">
                    <asp:UpdatePanel ID="upEstat" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:Label ID="Label2" runat="server" Text="Estat: "></asp:Label>
                        <asp:Button ID="btnPresent" runat="server" Text="Present" OnClick="ActivarEstat_Click" />
                        <asp:Button ID="btnNoPresent" runat="server" Text="Absent"  OnClick="ActivarEstat_Click"/>
                        <br />
                        <asp:Label ID="Label1" runat="server" Text="Seguretat: "></asp:Label>
                        <asp:Button ID="ActSeg" runat="server" Text="Activada" OnClick="Seguretat_Click" Enabled="false" />
                        <asp:Button ID="DesSeg" runat="server" Text="Desactivada" OnClick="Seguretat_Click" Enabled="false" /><br />
                        <br />
                        <asp:DropDownList ID="llistaUbicacions" runat="server" Width="144px" 
                                DataSourceID="SqlDataSource1" DataTextField="Descripcio" 
                                DataValueField="Descripcio" AutoPostBack="true" 
                                onselectedindexchanged="llistaUbicacions_SelectedIndexChanged" OnDataBound="llista_dataBound" Enabled="False">
                        </asp:DropDownList>
                        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:SistemaControlConnectionString %>" SelectCommand="SELECT [Descripcio] FROM [TipusAllotjament]">
                        </asp:SqlDataSource>
                     </ContentTemplate>
                     <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="btnPresent"/>
                        <asp:AsyncPostBackTrigger ControlID="btnNoPresent"/>
                     </Triggers>
                </asp:UpdatePanel>
                
                </div>
            </td>
            
            <td align="center" class="style4">
               <asp:UpdatePanel ID="upBotons" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <asp:ImageButton ID="bIncendi" runat="server" ImageUrl="~/Images/bIncendi.jpg" 
                            Height="30px" Width="30px" 
                            BorderStyle="Solid" Enabled="False" OnClick="ObrirPH_Click" 
                            BorderWidth="3px"/>
                        <asp:ImageButton ID="bInundacio" runat="server" 
                            ImageUrl="~/Images/bInundacio.jpg" Height="30px" Width="30px" 
                            BorderStyle="Solid" Enabled="False" OnClick="ObrirPH_Click" 
                            BorderWidth="3px"/>
                        <asp:ImageButton ID="bPersona" runat="server" ImageUrl="~/Images/persona.jpg" 
                            Height="30px" Width="30px" 
                            BorderStyle="Solid" Enabled="False" OnClick="ObrirPH_Click" 
                            BorderWidth="3px"/>
                        <asp:ImageButton ID="bFinestra" runat="server" 
                            ImageUrl="~/Images/bFinestra.jpg" Height="30px" Width="30px" 
                            BorderStyle="Solid" Enabled="False" OnClick="ObrirPH_Click" 
                            BorderWidth="3px"/>
                        <asp:ImageButton ID="bPorta" runat="server" ImageUrl="~/Images/bPorta.jpg" 
                            Height="30px" Width="30px" 
                            BorderStyle="Solid" Enabled="False" OnClick="ObrirPH_Click" 
                            BorderWidth="3px"/>
                        <asp:ImageButton ID="bTemperatura" runat="server" 
                            ImageUrl="~/Images/bTemperatura.jpg" Height="30px" Width="30px" 
                            BorderStyle="Solid" Enabled="False" OnClick="ObrirPH_Click" 
                            BorderWidth="3px"/>
                        <asp:ImageButton ID="bIluminacio" runat="server" 
                            ImageUrl="~/Images/bIluminacio.jpg" Height="30px" Width="30px" 
                            BorderStyle="Solid" Enabled="False" OnClick="ObrirPH_Click" 
                            BorderWidth="3px"/>
                    </ContentTemplate>
                    <Triggers>
                        <asp:AsyncPostBackTrigger ControlID="llistaUbicacions" EventName="SelectedIndexChanged" />
                    </Triggers>
                </asp:UpdatePanel>
                
              <asp:UpdatePanel ID="upPanels" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    
                    <asp:PlaceHolder ID="phPresencia" runat="server" Visible="false">
                        <asp:Button ID="btnPresencia" runat="server" Text="Moviment" OnClick="Presencia_Click"/>
                        <asp:Button ID="btnPresencia2" runat="server" Text="Sense moviment" OnClick="Presencia_Click"/>
                    </asp:PlaceHolder>

                    <asp:PlaceHolder ID="phIncendi" runat="server" Visible="false">
                        <asp:Button ID="btnIncendi" runat="server" Text="Simulació" OnClick="SimulaIncendi_Click" />
                    </asp:PlaceHolder>

                    <asp:PlaceHolder ID="phInundacio" runat="server" Visible="false">
                        <asp:Button ID="btnInundacio" runat="server" Text="Simulació" OnClick="SimulaInundacio_Click" /> 
                    </asp:PlaceHolder>

                     <asp:PlaceHolder ID="phPorta" runat="server" Visible="false">
                        <asp:Button ID="OPorta" runat="server" Text="Obrir porta" OnClick="Obrir_Click"/>
                        <asp:Button ID="TPorta" runat="server" Text="Tancar porta" OnClick="Tancar_Click" />
                        
                    </asp:PlaceHolder>

                    <asp:PlaceHolder ID="phFinestres" runat="server" Visible="false">
                        <asp:Button ID="OFinestra" runat="server" Text="Obrir finestra" OnClick="Obrir_Click" />
                        <asp:Button ID="TFinestra" runat="server" Text="Tancar finestra" OnClick="Tancar_Click" />
                    </asp:PlaceHolder>

                    <asp:PlaceHolder ID="phSLlum" runat="server" Visible="false">
                        <table>
                            <tr>
                                <td>
                                    <asp:Image ID="Image1" runat="server" ImageUrl="~/Images/luna.gif" />
                                </td>
                                <td>
                                    <center>
                                        <asp:TextBox ID="llum" runat="server"></asp:TextBox>
                                    </center>
                                        <asp:Label ID="lblLlum" runat="server" Visible="false"></asp:Label>
                                        <asp:SliderExtender ID="SliderExtender2" runat="server" TargetControlID="llum" BoundControlID="lblLlum" Maximum="600" Minimum="0">
                                        </asp:SliderExtender>
                                </td>
                                <td>
                                    <asp:Image ID="Image3" runat="server" ImageUrl="~/Images/sol.gif" />
                                </td>
                            </tr>
                        </table>
                            <asp:Button ID="btnSensorLlum" runat="server" Text="Simular" OnClick="SimularSensorLlum_Click" />
                    </asp:PlaceHolder>

                    <asp:PlaceHolder ID="phTemperatura" runat="server" Visible="false">
                        <table>
                            <tr>
                                <td>
                                    <asp:ImageButton ID="PujarT" runat="server" ImageUrl="~/Images/upArrow.gif" OnClick="CanviTemperatura_Click"/>
                                </td>
                                <td>
                                    <asp:UpdatePanel ID="upBany" runat="server" UpdateMode="Conditional">
                                        <ContentTemplate>
                                            <asp:Label ID="lblTemp" runat="server" Font-Size="40px"></asp:Label>
                                        </ContentTemplate>
                                        <Triggers>
                                            <asp:AsyncPostBackTrigger ControlID="PujarT" EventName="Click" />
                                            <asp:AsyncPostBackTrigger ControlID="BaixarT" EventName="Click" />
                                            <asp:AsyncPostBackTrigger ControlID="bTemperatura" EventName="Click" />
                                        </Triggers>
                                    </asp:UpdatePanel>
                                </td>
                                <td>
                                    <asp:ImageButton ID="BaixarT" runat="server" ImageUrl="~/Images/downArrow.gif" OnClick="CanviTemperatura_Click"/>
                                </td>
                            </tr>
                        </table>
                            <asp:Button ID="Button11" runat="server" Text="Confirmar" onClick="ConfirmaTemperatura"/>
                    </asp:PlaceHolder>
                <br />
                <asp:Button ID="Alarma" runat="server" Text="Stop alarma" OnClick="StopAlarma_Click" />
                <asp:Label ID="lblAlarma" runat="server" Text="Alarma: "></asp:Label>
                <asp:Label ID="lblEstatAlarma" runat="server" Font-Bold="True" Text="Desactivada"></asp:Label>
                
                </ContentTemplate>
                <Triggers>
                <asp:AsyncPostBackTrigger ControlID="bIncendi" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="bInundacio" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="bTemperatura" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="bFinestra" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="bPorta" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="bPersona" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="bIluminacio" EventName="Click" />
                <asp:AsyncPostBackTrigger ControlID="llistaUbicacions" EventName="SelectedIndexChanged" />
                </Triggers>
                </asp:UpdatePanel>
              
            </td>                    
            <td align="left" class="style5">
                
                    <asp:Label ID="Label4" runat="server" Text="Il·luminació" Font-Bold="True"></asp:Label><br />
                    <asp:Label ID="Label6" runat="server" Text="Sensor Magnètic" Font-Bold="True"></asp:Label><br />                    
                    <asp:Label ID="Label8" runat="server" Text="Sensor Incendi" Font-Bold="True"></asp:Label><br />
                    <asp:Label ID="Label10" runat="server" Text="Sensor Presència" Font-Bold="True"></asp:Label><br />
                    <asp:Label ID="Label12" runat="server" Text="Sensor Temperatura" Font-Bold="True"></asp:Label><br />
                    <asp:Label ID="Label17" runat="server" Text="Sensor Inundació" Font-Bold="True"></asp:Label><br />
                    <asp:Label ID="Label19" runat="server" Text="Sensor Llum" Font-Bold="true"></asp:Label>
            </td>
            <td class="style6" align="right">
                <asp:UpdatePanel ID="upLabels" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                    <asp:Label ID="Label5" runat="server" ForeColor="White"></asp:Label><br />
                    <asp:Label ID="Label7" runat="server" ForeColor="White"></asp:Label><br />
                    <asp:Label ID="Label9" runat="server" ForeColor="White"></asp:Label><br />
                    <asp:Label ID="Label11" runat="server" ForeColor="White"></asp:Label><br />
                    <asp:Label ID="Label13" runat="server" ForeColor="White"></asp:Label><br />
                    <asp:Label ID="Label18" runat="server" ForeColor="White"></asp:Label><br />
                    <asp:Label ID="Label20" runat="server" ForeColor="White"></asp:Label><br />
                 </ContentTemplate>
                 <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="llistaUbicacions" EventName="SelectedIndexChanged" />
                    <asp:AsyncPostBackTrigger ControlID="Button11" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="OPorta" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="TPorta" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="OFinestra" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="TFinestra" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnSensorLlum" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnPresencia" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnPresencia2" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnIncendi" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="btnInundacio" EventName="Click" />
                    <asp:AsyncPostBackTrigger ControlID="Alarma" EventName="Click" />
                 </Triggers>
                </asp:UpdatePanel>
            </td>
        </tr>
    </table>
</center>
</div>
</asp:Content>
<asp:Content ID="planol" ContentPlaceHolderID="Planol" runat="server">
    <asp:UpdatePanel ID="UpdatePanel2" runat="server">
    <ContentTemplate>
     <asp:Image ID="Image2" runat="server" ImageUrl="~/plano/general.gif"/>
    </ContentTemplate>
    </asp:UpdatePanel>   
</asp:Content>
